{% extends 'menublack.html' %}
{% load static %}

{% block linkextra %}/{% endblock %}

{% block leftcontent %}
    <!-- LIST SEMUA JADWAL -->
    <div class="column is-two-fifths has-text-centered" id="orange">
        <div id="full">
            <div class="table-containers">
                <table class="tableright is-striped is-bordered">
                    <tr class="titlewhite">
                        <td><h1><span style="letter-spacing: 0.05em">SCHEDUL</span>E</h1></td>
                    </tr>
                    {% for obj in jadwals %}
                        <tr>
                            <td style="color: #ffffff">--- {{ obj.namaKegiatan }} ---</td>
                        </tr>
                        <tr>
                            <td>Place: {{ obj.tempat }}</td>
                        </tr>
                        <tr>
                            <td>Date: {{ obj.tanggal }}</td>
                        </tr>
                        <tr>
                            <td>Time: {{ obj.jam }}</td>
                        </tr>
                        <tr>
                            <td>Category: {{ obj.kategori }}</td>
                        </tr>
                        <tr>
                            <td>
                                <form method="POST" action="{% url 'jadwal_list' %}">
                                    {% csrf_token %}
                                    <input name="pk" value="{{ obj.pk }}" type="hidden">
                                    <button class="button is-small"
                                            style="color: #ffffff;border-color: #ffffff;background-color: #ffbc42">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>
                    {% endfor %}
                </table>
            </div>
        </div>
    </div>
{% endblock %}

{% block rightcontent %}
    <!-- ADD JADWAL BARU -->
    <div class="column is-two-fifths has-text-centered" id="pink">
        <div id="full">
            <table class="tableright">
                <tr class="titlewhite">
                    <td><h1><span style="letter-spacing: 0.05em">ADD SCHEDUL</span>E</h1></td>
                </tr>
                <tr>
                    <td>
                        <form method="POST" novalidate>
                            {% csrf_token %}
                            <div class="field">
                                <label class="label">Task Name</label>
                                <div class="control">
                                    {{ form.namaKegiatan }}
                                </div>
                            </div>
                            <div class="field">
                                <label class="label">Place</label>
                                <div class="control">
                                    {{ form.tempat }}
                                </div>
                            </div>
                            <div class="field">
                                <label class="label">Date</label>
                                <div class="control">
                                    {{ form.tanggal }}
                                </div>
                            </div>
                            <div class="field">
                                <label class="label">Time</label>
                                <div class="control">
                                    {{ form.jam }}
                                </div>
                            </div>
                            <div class="field">
                                <label class="label">Category</label>
                                <div class="control">
                                    <div class="select">
                                        {{ form.kategori }}
                                    </div>
                                </div>
                            </div>
                            <br>
                            <div class="field">
                                <div class="control">
                                    <button class="button" style="color: #ffbfdd; border-color: #ffffff">
                                        Submit
                                    </button>
                                </div>
                            </div>
                        </form>
                    </td>
                </tr>
            </table>
        </div>
    </div>
{% endblock %}